<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* daypart-form-delete.twig */
class __TwigTemplate_293898a8b726955804b4f3b8a219f33f3b8979da7dc8e85e3a6fece52c77bc51 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 25
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 26
        $context["forms"] = $this->loadTemplate("forms.twig", "daypart-form-delete.twig", 26)->unwrap();
        // line 25
        $this->parent = $this->loadTemplate("form-base.twig", "daypart-form-delete.twig", 25);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 28
    public function block_formTitle($context, array $blocks = [])
    {
        // line 29
        echo "    ";
        echo __("Delete Daypart");
    }

    // line 32
    public function block_formButtons($context, array $blocks = [])
    {
        // line 33
        echo "    ";
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 34
        echo __("Yes");
        echo ", \$(\"#dayPartDeleteForm\").submit()
";
    }

    // line 37
    public function block_formHtml($context, array $blocks = [])
    {
        // line 38
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"dayPartDeleteForm\" class=\"XiboForm form-horizontal\" method=\"delete\" action=\"";
        // line 40
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("daypart.delete", ["id" => $this->getAttribute(($context["dayPart"] ?? null), "dayPartId", [])]), "html", null, true);
        echo "\">
                ";
        // line 41
        ob_start(function () { return ''; });
        echo __("Are you sure you want to delete this Daypart? This cannot be undone");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 42
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "

                ";
        // line 44
        if ((($context["countSchedules"] ?? null) > 0)) {
            // line 45
            echo "                    ";
            ob_start(function () { return ''; });
            /* xgettext:no-php-format */            echo strtr(__("There are %countSchedules% scheduled events that will also be deleted."), array("%countSchedules%" => ($context["countSchedules"] ?? null), ));
            $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 46
            echo "                    ";
            echo $context["forms"]->getmessage(($context["message"] ?? null));
            echo "
                ";
        }
        // line 48
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "daypart-form-delete.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  100 => 48,  94 => 46,  89 => 45,  87 => 44,  81 => 42,  77 => 41,  73 => 40,  69 => 38,  66 => 37,  60 => 34,  55 => 33,  52 => 32,  47 => 29,  44 => 28,  39 => 25,  37 => 26,  31 => 25,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "daypart-form-delete.twig", "/home/mgatv524/public_html/edurocha/views/daypart-form-delete.twig");
    }
}
